import request from '@/utils/request'

// 查询报销类型类型列表
export function listType(query) {
  return request({
    url: '/finance/expense/type/page',
    method: 'get',
    params: query
  })
}

// 查询报销类型类型详细
export function getType(dictId) {
  return request({
    url: '/finance/expense/type/get?id=' + dictId,
    method: 'get'
  })
}

// 新增报销类型类型
export function addType(data) {
  return request({
    url: '/finance/expense/type/create',
    method: 'post',
    data: data
  })
}

// 修改报销类型类型
export function updateType(data) {
  return request({
    url: '/finance/expense/type/update',
    method: 'put',
    data: data
  })
}

// 删除报销类型类型
export function delType(dictId) {
  return request({
    url: '/finance/expense/type/delete?id=' + dictId,
    method: 'delete'
  })
}

// 导出报销类型类型
export function exportType(query) {
  return request({
    url: '/finance/expense/type/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 获取报销类型选择框列表
export function listAllSimple() {
  return request({
    url: '/finance/expense/type/list',
    method: 'get'
  })
}
